<template>
    <div id="MovementListPage">
        <section class="tabla-de-movimientos">
            <section class="tabla">
                <section id="tabla-in-tabla">
                    <h1 class="name">Nombre</h1>
                    <h1 class="dinero">Dinero</h1>
                    <h1 class="type">Tipo de Gasto</h1>
                    <h1 class="date">Fecha</h1>
                    <h1 class="description">Descripcion</h1>
                    <h1 class="category">Categorias</h1>
                </section>
                <template v-for="(listMovement, index) in movements">
                    <MovementItem
                        :movements="listMovement"
                        :key="index"
                        @button-delete="deleteMovementsButton"
                        @btnedit="editMovementsButton"
                    />
                </template>
            </section>
        </section>
    </div>
</template>
<script>
import MovementItem from '@/components/Movements/MovementItem.vue'

export default {
    name: 'MovementListPage',
    components: {
        MovementItem,
    },

    props: {
        movements: {
            propType: Array,
            required: true,
        },
    },
    methods: {
        deleteMovementsButton(id_movements) {
            this.$emit('delete-Movements', id_movements)
        },
    },
}
</script>
<style scoped>
.tabla-de-movimientos {
    display: flex;
    flex-direction: row;
    align-content: center;
    margin: 100px auto;

    margin: 319px auto;
    margin-bottom: -16px;
}

.tabla {
    margin: 0 auto;
}

#tabla-in-tabla {
    display: flex;
    flex-direction: row;
    align-content: center;
    align-items: center;
    justify-content: space-around;
    width: 1050px;
    /* width: 700px; */
    margin: 0 auto;
    background: white;
    border: 5px;
    background: white;
    box-shadow: 2px 2px 5px #f0f0f0;
    font-family: 'Open Sans', sans-serif;
    font-weight: 300;
}
.name .dinero .type .date .description .category {
    padding: 5px;
    margin: 20px;
    font-family: 'Open Sans', sans-serif;
    font-weight: 300;
}
</style>
